<nz-input-group [nzSuffix]="suffixIconSearch">
  <input
    #textInput
    type="text"
    nz-input
    [(ngModel)]="researchValue"
    [attr.data-test-element-id]="'input-filter'"
  />
</nz-input-group>

<ng-template #suffixIconSearch>
  @if (!researchValue) {
    <i nz-icon nzType="sqtm-core-tree:search"></i>
  }
  @if (researchValue) {
    <i
      nz-icon
      class="ant-input-textarea-clear-icon"
      nzTheme="fill"
      nzType="close-circle"
      (click)="resetValue()"
    ></i>
  }
</ng-template>
